Skip to main content
POST
/
ecommerce
/
fulfillments
Create Fulfillment
curl --request POST \
  --url https://api.rootfi.dev/v4/ecommerce/fulfillments \
  --header 'Content-Type: application/json' \
  --header 'api_key: <api-key>' \
  --data '
{
  "company_id": 1089,
  "data": [
    {
      "order_id": "ord_123456",
      "status": "pending",
      "tracking_info": {
        "tracking_number": "1234567890",
        "carrier_name": "USPS"
      }
    }
  ]
}
'
{
  "data": [
    {
      "rootfi_id": 157,
      "rootfi_created_at": "2024-01-22T05:07:31.465Z",
      "rootfi_updated_at": "2024-01-22T05:07:31.000Z",
      "rootfi_company_id": 1089,
      "platform_id": "ful_123456",
      "order_id": "ord_123456",
      "status": "pending"
    }
  ],
  "sync_id": "sync_123456"
}
Create a new fulfillment (shipment) for an order. Fulfillments track the physical shipment of orders from your warehouse to contacts.

Request Body

FieldTypeRequiredDescription
company_idintegerYesThe rootfi_company_id to associate this fulfillment with
dataarrayYesArray of fulfillment objects to create
data[].order_idstringYesReference to the parent Order
data[].namestringNoFulfillment reference name (e.g., “#1001.1” for first shipment of order 1001)
data[].statusstringNoFulfillment status (pending, in_transit, delivered, canceled, failed, returned). Defaults to pending
data[].shipment_statusstringNoCurrent shipping/delivery state
data[].estimated_delivery_datestringNoExpected delivery date (ISO 8601)
data[].weightnumberNoTotal package weight
data[].weight_unitstringNoUnit of measurement for weight (e.g., “lb”, “kg”, “oz”)
data[].line_itemsarrayYesItems and quantities included in this shipment
data[].tracking_infoobjectNoCarrier tracking details including tracking number and carrier name
See Fulfillment Overview for complete field details.

Authorizations

api_key
string
header
required

Body

application/json

The body is of type any.

Response

Fulfillment created successfully